Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572052 - Utilization related alerts from monitoring-integration are displayed in alert page and not in event page
Summary: Utilization related alerts from monitoring-integration are displayed in alert...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-26 05:20 UTC by gowtham
Modified: 2018-09-04 07:06 UTC (History)
7 users (show)

Fixed In Version: tendrl-monitoring-integration-1.6.3-2.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
event page (80.30 KB, image/png)
2018-04-26 05:20 UTC, gowtham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl monitoring-integration issues 433 0 None None None 2018-04-26 05:21:46 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:23 UTC

Description gowtham 2018-04-26 05:20:48 UTC
Created attachment 1426994 [details]
event page

Description of problem:

In tendrl we are considering alerts are also a event. So any alert raised then it displayes in alert page as well as event page, Becuase it is easy to see the alert history. But all alerts from monitoring-integration are only displayed in alert page not in event page.

Version-Release number of selected component (if applicable):


How reproducible:
Keep fill some data in volume upto it reaches abouve 75%, after few minutes alert is raised and displayed UI. But in event page no information about that alert.

Steps to Reproduce:
1.Keep fill some data in volume upto it reaches abouve 75%
2.wait for few minutes to grafana raise alert
3.Check event and alert page in UI.

Actual results:
Alerts information is displayes in alert page only.

Expected results:
Alert information should present alert page as well as event page

Additional info:

Comment 2 gowtham 2018-04-26 05:28:32 UTC
I manually decreased threshold alert breach % to near 4% to raise the alert, So please don't confuse with that screen short.

Comment 3 Martin Bukatovic 2018-05-04 17:12:54 UTC
(In reply to gowtham from comment #0)
> In tendrl we are considering alerts are also a event. So any alert raised
> then it displayes in alert page as well as event page, Becuase it is easy to
> see the alert history. But all alerts from monitoring-integration are only
> displayed in alert page not in event page.

Could you point me to the up to date documentation when the meaning of alert and
event is described?

Comment 7 Filip Balák 2018-05-30 12:24:39 UTC
It seems that alerts related to brick, cpu, memory and swap utilization are correctly shown in events.--> VERIFIED

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-5.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
tendrl-node-agent-1.6.3-5.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-2.el7rhgs.noarch

Comment 9 errata-xmlrpc 2018-09-04 07:05:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.